GBNLREG(1)

NAME
gbnlreg - Non linear regression

SYNOPSIS
gbnlreg [options] <function definition>

DESCRIPTION
Non linear least square regression. Read data in columns (X_1 .. X_N). The model is specified by a function f(x1,x2...) using variables names x1,x2,..,xN for the first, second .. N-th column of data. f(x1,x2,...) are assumed i.i.d.

OPTIONS

-O  type of output (default 0)

0   parameters

1   parameters and errors

2   <variables> and residuals

3   parameters and variance matrix

4   parameters, errors and s-scores

-V  variance matrix estimation (default 0)

0   <gradF gradF^t>

1   < J^{-1} >

2   < H^{-1} >

3   < H^{-1} J H^{-1} >

-v  verbosity level (default 0)

0   just results

1   comment headers

2   summary statistics

3   covariance matrix

4   minimization steps

5   model definition

-M  estimation method (default 0)

0   ordinary least square (OLS)

1   minimum absolute deviation (MAD)

2   asymmetric MAD

-e  minimization tolerance (default 1e-5)

-i  minimization max iterations (default 500)

-E  restart accuracy (default 1e-5, ignored with option -M 0)

-I  restart max iterations (default 2000, ignored with option -M 0)

-F  input fields separators (default " \t")

-h  this help

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.